<?php
// Version: 1.0: ShowUserPostsByCertainBoards.php

if (!defined('SMF'))
	die('Hacking attempt...');

function boards_filter_profile_areas()
{
	global $context, $smcFunc, $user_info;

	if (isset($_GET['area']) && $_GET['area'] == 'showposts')
	{
		loadTemplate('ShowUserPostsByCertainBoards');
		loadLanguage('ShowUserPostsByCertainBoards');
		$context['template_layers'][] = 'boards_filter';

		if (isset($_POST['filter']))
		{
			$boards = array($_POST['boards']);

			if (isset($_POST['board_list']) && is_array($_POST['board_list']))
			{
				$boards1 = array();
				foreach ($_POST['board_list'] as $board)
					$boards1[] = (int) $board;
				$boards += $boards1;
			}
			for ($k = 0, $n = count($boards); $k < $n; $k++)
			{
				$boards[$k] = trim($boards[$k]);

				if (strlen($boards[$k]) == 0)
					unset($boards[$k]);
			}

			if (empty($boards))
				$boards = array();
			if (!empty($boards))
			{
				$request = $smcFunc['db_query']('', '
					SELECT id_board, name
					FROM {db_prefix}boards
					WHERE id_board IN ({array_string:board_list}) OR name IN ({array_string:board_list})
					LIMIT ' . count($boards),
					array(
						'board_list' => $boards,
					)
				);
				$bds = array();
				$context['boards'] = array();
				while ($row = $smcFunc['db_fetch_row']($request))
				{
					$bds[] = $row[0];
					$context['boards'][] = array(
						'sItemId' => (int) $row[0],
						'sItemName' => $row[1],
					);
				}
				$smcFunc['db_free_result']($request);
			}

			// Filter by board?
			if (!empty($bds))
				$user_info['query_see_board'] = 'b.id_board IN (' . implode(',', $bds) . ')';
		}
	}
}

?>